<?php
session_start();
if (!isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] != 1) 
{
	header("location: ../../login.php");
	exit;
}
include("../../config/db.php");
include("../../config/conexion.php");
$session_id=session_id();
$id_movimiento=intval($_GET['id_movimiento']);
$sql_count=mysqli_query($con,"select * from movimientos where id_movimiento='".$id_movimiento."'");
$count=mysqli_num_rows($sql_count);
if ($count==0)
{
	echo "<script>alert('Despacho no encontrada')</script>";
	echo "<script>window.close()</script>";
	exit;
}


$sql_movimiento=mysqli_query($con,"select * from movimientos where id_movimiento='".$id_movimiento."'");
$rw_movimiento=mysqli_fetch_array($sql_movimiento);
$numero_movimiento=$rw_movimiento['numero_movimiento'];
$fecha_movimiento=$rw_movimiento['fecha'];
$tienda_destino=$rw_movimiento['destino'];
$tienda_origen=$rw_movimiento['usuario'];
$condiciones=$rw_movimiento['estatus'];
	
$consulta=mysqli_query($con,"select * from movimientos where numero_movimiento='$numero_movimiento'");
if(mysqli_num_rows($consulta)>0)
{
	$dat=mysqli_fetch_array($consulta);	
	$responsable=$dat['responsable'];
	$cedula=$dat['cedula'];
	$destino=$dat['destino'];
	$tipo_vehiculo=$dat['tipo_vehiculo'];
	$marca_vehiculo=$dat['marca_vehiculo'];
	$placa_vehiculo=$dat['placa_vehiculo'];
	$fecha_movimiento=$dat['fecha'];

     ob_start();
    include(dirname(__FILE__).'/res/movimiento_html.php');
    $content = ob_get_clean();
	require_once(dirname(__FILE__).'/../html2pdf.class.php');
	try
    {
        $html2pdf = new HTML2PDF('P', 'LETTER', 'es', true, 'UTF-8', array(0, 0, 0, 0));
        $html2pdf->pdf->SetDisplayMode('fullpage');
        $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
        $html2pdf->Output('movimiento.pdf');
    }
    catch(HTML2PDF_exception $e)
	{
        echo $e;
        exit;
	}
}
else
{
	echo "<script>alert('No se puede emitir la nota de entrega. No se han cargado los datos del movimiento')</script>";
	echo "<script>windows.location.href='movimientos.php'</script>";
	echo "<script>window.close();</script>";
}
	
?>	
